[_tb_system_call storage=system/_battle.ks]

[chara_hide_all  time="1000"  wait="true"  ]
[tb_hide_message_window  ]
[playbgm  volume="20"  time="1000"  loop="true"  storage="battle.mp3"  fadein="true"  ]
[bg  time="1000"  method="crossfade"  storage="battle.png"  ]
[tb_start_tyrano_code]

; to add when picking pokemon
;[eval exp="f.mcpokname= 'Dewgong'"]

;stats to change before a fight
;[eval exp="f.monstername= 'Arbok'"]
;[eval exp="f.battlereturn= '*returnfightgrowlithe'"]
[eval exp="f.time = 0"]
[eval exp="f.effect = 0"]
[eval exp="f.dmg = 0"]

[call storage="battle.ks" target="*pokemonstatsdefine"]
[eval exp="f.mcpokcurhp= f.mcpokmaxhp"]
[if exp ="f.mewtwo == 1"]
[eval exp ="f.monstercurhp = f.monstermaxhp / 4"]
[else]
[eval exp="f.monstercurhp= f.monstermaxhp"]
[endif]

[eval exp="f.mcpokeffect= 0"]
[eval exp="f.monstereffect= 0"]
[eval exp="f.mcpokeffecttime= 0"]
[eval exp="f.monstereffecttime= 0"]


[macro name="mcpokhp"]
[eval exp="f.hpbar= f.mcpokcurhp*273/f.mcpokmaxhp"]
[anim name="mcpokhpbar" width="&[f.hpbar]" time="1000"]
[wa]
[if exp="f.mcpokcurhp<0"]
	[eval exp="f.mcpokcurhp=0"]
[endif]
[if exp="f.mcpokcurhp==0"]
	[jump storage=battle.ks target=*dead]
[endif]
[_tb_end_tyrano_code]
[endmacro]

[macro name="monsterhp"]
[eval exp="f.hpbar= f.monstercurhp*273/f.monstermaxhp"]
[anim  name="monsterhpbar"  width="&[f.hpbar]"  time="1000"  ]
[wa]
[if exp="f.monstercurhp<0"]
	[eval exp="f.monstercurhp=0"]
[endif]
[if exp="f.monstercurhp==0"]
	[jump  storage="battle.ks"  target="*win"  ]
[endif]
[endmacro]

[macro name="lowatk"]
[tb_eval  exp="f.nb=Math.floor(Math.random()*(10-5+1)+5)"  name="nb"  cmd="="  op="r"  val="5"  val_2="10"  ]
[eval exp="f.dmg += f.nb"]
[eval exp="f.dmg += f.pokemon"]
[endmacro]

[macro name="medatk"]
[tb_eval  exp="f.nb=Math.floor(Math.random()*(25-15+1)+15)"  name="nb"  cmd="="  op="r"  val="15"  val_2="25"  ]
[eval exp="f.dmg += f.nb"]
[eval exp="f.dmg += f.pokemon"]
[endmacro]

[macro name="higatk"]
[tb_eval  exp="f.nb=Math.floor(Math.random()*(35-25+1)+25)"  name="nb"  cmd="="  op="r"  val="25"  val_2="35"  ]
[eval exp="f.dmg += f.nb"]
[eval exp="f.dmg += f.pokemon"]
[endmacro]

[macro name="decreaseatk"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 3"]
	[eval exp="f.effect='Decreased-Atk'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*2)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="2"  ]
[endif]
[endmacro]

[macro name="decreaseatkplus"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 5"]
	[eval exp="f.effect='Decreased-Atk'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*4)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="4"  ]
[endif]
[endmacro]

[macro name="decreasedef"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 3"]
	[eval exp="f.effect='Decreased-Def'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*2)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="2"  ]
[endif]
[endmacro]

[macro name="flinch"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 2"]
	[eval exp="f.effect='Flinch'"]
[endif]
[endmacro]

[macro name="sleep"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 4"]
	[eval exp="f.effect='Sleep'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*3)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="3"  ]
[endif]
[endmacro]

[macro name="confuse"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 2"]
	[eval exp="f.effect='Confusion'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*2)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="2"  ]
[endif]
[endmacro]

[macro name="burn"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 4"]
	[eval exp="f.effect='Burn'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*3)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="3"  ]
[endif]
[endmacro]

[macro name="poison"]
[tb_eval  exp="f.chance=Math.floor(Math.random()*10)+1"  name="chance"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.chance <= 4"]
	[eval exp="f.effect='Poison'"]
	[tb_eval  exp="f.time=Math.floor(Math.random()*3)+1"  name="time"  cmd="="  op="r"  val="1"  val_2="3"  ]
[endif]
[endmacro]

[eval exp="f.monsterpicture = 'default/' + f.monstername + '.png'"]
[eval exp="f.mcpokpicture = 'default/' + f.mcpokname + '.png'"]
[image layer=0 storage="default/hp.png" page=fore visible=true width="&[f.mcpokcurhp]" height="40" x="974" y="648" name="mcpokhpbar"]
[image layer=0 storage="default/hp.png" page=fore visible=true width="&[f.monstercurhp]"  height="40" x="289" y="104" name="monsterhpbar"]
[mcpokhp]
[monsterhp]
[tb_image_show  time="1000"  storage="&f.monsterpicture"  width="328"  height="513"  x="820"  y="-20"  ]
[tb_image_show  time="1000"  storage="&f.mcpokpicture"  width="460"  height="720"  x="20"  y="0"  reflect="false"  ]
[tb_ptext_show  x="54"  y="39"  size="45"  color="0x000000"  time="400"  text="&f.monstername"  anim="false"  face="lit"  ]
[tb_ptext_show  x="709"  y="555"  size="45"  color="0x000000"  time="1000"  text="&f.mcpokname"  face="lit"  anim="false"  ]

*mcpokturn

[wait time=1000]
[tb_start_tyrano_code]

[tb_start_text mode=1 ]
[tb_show_message_window  ]
#Narrator
It's [emb exp=f.mcpokname] turn [p]
[_tb_end_text]
[if exp="f.mcpokeffect == 'Burn'"]
	[tb_eval  exp="f.burn=Math.floor(Math.random()*8)+1"  name="burn"  cmd="="  op="r"  val="1"  val_2="8"  ]
	[eval exp="f.mcpokcurhp-= f.burn"]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] gets [emb exp=f.burn] burn damage [p]
	[_tb_end_text]
[endif]
[if exp="f.mcpokeffect == 'Poison'"]
	[tb_eval  exp="f.poison=Math.floor(Math.random()*5)+1"  name="poison"  cmd="="  op="r"  val="1"  val_2="5"  ]
	[eval exp="f.mcpokcurhp-= f.poison"]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] gets [emb exp=f.poison] poison damage [p]
	[_tb_end_text]
[endif]
[if exp="f.mcpokeffect == 'Constrict'"]
	[tb_eval  exp="f.constrict=Math.floor(Math.random()*5)+1"  name="constrict"  cmd="="  op="r"  val="1"  val_2="5"  ]
	[eval exp="f.mcpokcurhp-= f.constrict"]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] gets [emb exp=f.constrict] constrict damage [p]
	[_tb_end_text]
[endif]
[mcpokhp]
[if exp="f.mcpokeffect == 'Flinch'"]
	[eval exp="f.mcpokeffect = 0"]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] is scared and cannot act this turn. [p]
	[jump  storage="battle.ks"  target="*monsterturn"  ]
	[_tb_end_text]
[endif]

[if exp="f.mcpokeffect == 'Sleep'"]
	[eval exp="f.mcpokeffecttime -= 1"]
	[if exp="f.mcpokeffecttime == 0"]
		[eval exp="f.mcpokeffect = 0"]
	[endif]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] is asleep and cannot act this turn. [p]
	[_tb_end_text]
	[jump  storage="battle.ks"  target="*monsterturn"  ]
[endif]

[if exp="f.mcpokeffect == 'Rest'"]
	[eval exp="f.mcpokeffecttime -= 1"]
	[if exp="f.mcpokeffecttime == 0"]
		[eval exp="f.mcpokeffect = 0"]
		[eval exp="f.mcpokcurhp= f.mcpokmaxhp"]
		[mcpokhp]
		[tb_start_text mode=1 ]
		#Narrator
		[emb exp=f.mcpokname] gets healed by resting. [p]
		[_tb_end_text]
	[else]
		[tb_start_text mode=1 ]
		#Narrator
		[emb exp=f.mcpokname] is resting. [p]
		[_tb_end_text]
	[endif]
	
	[jump  storage="battle.ks"  target="*monsterturn"  ]
[endif]

[if exp="f.mcpokeffect == 'Confusion'"]
	[eval exp="f.mcpokeffecttime -= 1"]
	[if exp="f.mcpokeffecttime == 0"]
		[eval exp="f.mcpokeffect = 0"]
	[endif]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] is confused. [p]
	[_tb_end_text]
	[tb_eval  exp="f.confuse=Math.floor(Math.random()*10)+1"  name="confused"  cmd="="  op="r"  val="1"  val_2="`10"  ]
	[if exp="f.confuse >= 9"]
		[eval exp="f.mcpokcurhp -= 20"]
		[tb_start_text mode=1 ]
		#Narrator
		It hurt itself [p]
		[_tb_end_text]
		[mcpokhp]
		[jump  storage="battle.ks"  target="*monsterturn"  ]
	[elsif exp="f.confuse >= 5"]
		[jump  storage="battle.ks"  target="*monsterturn"  ]
	[endif]
[endif]
[tb_hide_message_window  ]

[if exp="f.mcpokeffect != 0"]
	[eval exp="f.mcpokeffecttime -= 1"]
	[if exp="f.mcpokeffecttime == 0"]
		[eval exp="f.mcpokeffect = 0"]
	[endif]
[endif]


[glink   face="lit"  font_color="0x33ccff" storage="battle.ks"  size="40"  text="Attack"  x="707"  y="620"  width="93"  height="43"  target="*attackpok"  ]
[s  ]


*attackpok
[eval exp="f.turn = 0"]
[cm  ]
[glink   face="lit"  font_color="0x33ccff"  storage="battle.ks"  size="30"  x="60"  y="200"  width="113"  height="39"  text=&"f.mcpokatk1"  target="*mcpokatk" tb_eval exp="f.currentatk=f.mcpokatk1" ]
[glink   face="lit"  font_color="0x33ccff"  storage="battle.ks"  size="30"  x="60"  y="300"  width="113"  height="39"  text=&"f.mcpokatk2"  target="*mcpokatk" tb_eval exp="f.currentatk=f.mcpokatk2" ]
[glink   face="lit"  font_color="0x33ccff"  storage="battle.ks"  size="30"  x="320"  y="200"  width="140"  height="39" text=&"f.mcpokatk3"  target="*mcpokatk" tb_eval exp="f.currentatk=f.mcpokatk3" ]
[glink   face="lit"  font_color="0x33ccff"  storage="battle.ks"  size="30"  x="320"  y="300"  width="140"  height="39"  text=&"f.mcpokatk4"  target="*mcpokatk"  tb_eval exp="f.currentatk=f.mcpokatk4" ]
[s  ]



*mcpokatk

[tb_show_message_window  ]
[tb_start_text mode=1 ]
#Narrator
[emb exp=f.mcpokname] uses [emb exp=f.currentatk] [p]
[_tb_end_text]
[eval exp="f.jumpatk = '*atk'+ f.currentatk"]
[call storage="battle.ks" target=&"f.jumpatk"]
[call storage="battle.ks" target=*managedmg"]

[tb_hide_message_window  ]
[jump  storage="battle.ks"  target="*monsterturn"  ]



*monsterturn
[wait time=1000]
[tb_show_message_window  ]
[tb_start_text mode=1 ]
#Narrator
It's [emb exp=f.monstername] turn [p]
[_tb_end_text]
[tb_start_tyrano_code]
[if exp="f.monstereffect == 'Burn'"]
	[tb_eval  exp="f.burn=Math.floor(Math.random()*8)+1"  name="burn"  cmd="="  op="r"  val="1"  val_2="8"  ]
	[eval exp="f.monstercurhp -= f.burn"]
	[tb_show_message_window  ]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.monstername] gets [emb exp=f.burn] burn damage [p]
	[_tb_end_text]
[endif]
[if exp="f.monstereffect == 'Poison'"]
	[tb_eval  exp="f.poison=Math.floor(Math.random()*5)+1"  name="poison"  cmd="="  op="r"  val="1"  val_2="5"  ]
	[eval exp="f.monstercurhp -= f.poison"]
	[tb_show_message_window  ]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.monstername] gets [emb exp=f.poison] poison damage [p]
	[_tb_end_text]
[endif]
[monsterhp]
[if exp="f.mcpokeffect == 'Flinch'"]
	[eval exp="f.monstereffect = 0"]
	[tb_show_message_window  ]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.mcpokname] is scared and cannot act this turn. [p]
	[jump  storage="battle.ks"  target="*monsterturn"  ]
	[_tb_end_text]
[endif]

[if exp="f.monstereffect == 'Confusion'"]
	[eval exp="f.monstereffecttime -= 1"]
	[if exp="f.monstereffecttime == 0"]
		[eval exp="f.monstereffect = 0"]
	[endif]
	[tb_show_message_window  ]
	[tb_start_text mode=1 ]
	#Narrator
	[emb exp=f.monstername] is confused. [p]
	[_tb_end_text]
	[tb_eval  exp="f.confuse=Math.floor(Math.random()*10)+1"  name="confused"  cmd="="  op="r"  val="1"  val_2="`10"  ]
	[if exp="f.confuse >= 9"]
		[eval exp="f.monstercurhp -= 20"]
		[tb_start_text mode=1 ]
		#Narrator
		It hurt itself [p]
		[_tb_end_text]
		[monsterhp]
		[jump  storage="battle.ks"  target="*mcpokturn"  ]
	[elsif exp="f.confuse >= 5"]
		[jump  storage="battle.ks"  target="*mcpokturn"  ]
	[endif]
[endif]

[if exp="f.monstereffect != 0"]
	[eval exp="f.monstereffecttime -= 1"]
	[if exp="f.monstereffecttime == 0"]
		[eval exp="f.monstereffect = 0"]
	[endif]
[endif]

[eval exp="f.turn = 1"]

[tb_eval  exp="f.nb1=Math.floor(Math.random()*10)+1"  name="nb1"  cmd="="  op="r"  val="1"  val_2="10"  ]
[if exp="f.nb1 <= 4"]
	[eval exp="f.currentatk = f.monsteratk1"]
	[jump storage=battle.ks target=*monsteratk]
[elsif exp="f.nb1 <= 7"]
	[eval exp="f.currentatk = f.monsteratk2"]
	[jump storage=battle.ks target=*monsteratk]
[elsif exp="f.nb1 <= 9"]
	[eval exp="f.currentatk = f.monsteratk3"]
	[jump storage=battle.ks target=*monsteratk]
[elsif exp="f.nb1 == 10"]
	[eval exp="f.currentatk = f.monsteratk4"]
	[jump storage=battle.ks target=*monsteratk]
[endif]
[_tb_end_tyrano_code]

*monsteratk

[tb_start_text mode=1 ]
#Narrator
[emb exp=f.monstername] uses [emb exp=f.currentatk] [p]
[_tb_end_text]

[eval exp="f.jumpatk = '*atk'+ f.currentatk"]

[call  storage="battle.ks"  target="&f.jumpatk"  ]
[call  storage="battle.ks"  target="*managedmg"  ]
[tb_hide_message_window  ]
[jump  storage="battle.ks"  target="*mcpokturn"  ]
*managedmg

[tb_start_tyrano_code]

[if exp="f.turn == 0"]
	[if exp="f.dmg > 0"]
		[if exp="f.mcpokeffect == 'Decreased-Atk'"]
			[eval exp="f.dmg = Math.floor(f.dmg*0.75)"]
		[elsif exp="f.monstereffect == 'Decreased-Def'"]
			[eval exp="f.dmg = Math.floor(f.dmg*1.25)"]
		[endif]
		[eval exp="f.dmg += f.pokemon*3"]
		[eval exp="f.monstercurhp -= f.dmg"]
		[monsterhp]
		[tb_show_message_window  ]
		[tb_start_text mode=1 ]
		#Narrator
		[emb exp=f.monstername] gets [emb exp=f.dmg] damage [p]
		[_tb_end_text]
	[endif]
	[if exp="f.effect != 0"]
		[if exp ="f.effect == 'Decreased-Atk' "]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			It reduces next attack's damage[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Decreased-Def'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			It reduces his defense[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Flinch'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			He might skip the next turn[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Sleep'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			He will sleep for some turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Confusion'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			He might act weirdly in the next turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Burn'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			It will receive fire damage in the next turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Poison'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			It will receive poison damage in the next turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Rest'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			He will heal at the end of this turn.[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Constrict'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.monstername] gets the effect : [emb exp=f.effect] [p]
			It will receive constrict damage in the next turns[p]
			[_tb_end_text]
		[endif]
		[eval exp="f.monstereffect = f.effect"]
		[eval exp="f.monstereffecttime = f.time"]
	[endif]
[elsif exp="f.turn == 1"]
	[if exp="f.dmg > 0"]
		[if exp="f.monstereffect == 'Decreased-Atk'"]
			[eval exp="f.dmg = Math.floor(f.dmg*0.75)"]
		[elsif exp="f.mcpokeffect == 'Decreased-Def'"]
			[eval exp="f.dmg = Math.floor(f.dmg*1.25)"]
		[endif]
		[eval exp="f.mcpokcurhp-= f.dmg"]
		[mcpokhp]
		[tb_show_message_window  ]
		[tb_start_text mode=1 ]
		#Narrator
		[emb exp=f.mcpokname] gets [emb exp=f.dmg] damage [p]
		[_tb_end_text]
	[endif]
	[if exp="f.effect != 0"]
		[if exp ="f.effect == 'Decreased-Atk' "]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			It reduces next attack's damage[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Decreased-Def'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			It reduces his defense[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Flinch'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			He might skip the next turn[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Sleep'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			He will sleep for some turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Confusion'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			He might act weirdly in the next turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Burn'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			It will receive fire damage in the next turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Poison'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			It will receive poison damage in the next turns[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Rest'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			He will heal at the end of this turn.[p]
			[_tb_end_text]
		[elsif exp ="f.effect == 'Constrict'"]
			[tb_show_message_window  ]
			[tb_start_text mode=1 ]
			#Narrator
			[emb exp=f.mcpokname] gets the effect : [emb exp=f.effect] [p]
			It will receive constrict damage in the next turns[p]
			[_tb_end_text]
		[endif]
		[eval exp="f.mcpokeffect = f.effect"]
		[eval exp="f.mcpokeffecttime = f.time"]
	[endif]
	
[endif]

[eval exp="f.time = 0"]
[eval exp="f.effect = 0"]
[eval exp="f.dmg = 0"]
;[eval exp="f.ncomment = 0"]
[_tb_end_tyrano_code]

[return  ]

*atkAncient-Power
[higatk]
[decreaseatk]
;[eval exp="f.ncomment = 'It&nbsp; reduces&nbsp; next&nbsp; attack's&nbsp; damage'"]
[return  ]

*atkAurora-Beam
[medatk]
[decreaseatk]
;[eval exp="f.ncomment = 'It&nbsp; reduces&nbsp; next&nbsp; attack's&nbsp; damage'"]
[return  ]

*atkBite
[medatk]
[flinch]
;[eval exp="f.ncomment = 'He&nbsp; might&nbsp; skip&nbsp; the&nbsp; next&nbsp; turn'"]
[return  ]

*atkConfusion
[medatk]
[confuse]
;[eval exp="f.ncomment = 'He&nbsp; might&nbsp; act&nbsp; weirdly&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkDragon-Rage
[medatk]
[return  ]

*atkDouble-Hit
[lowatk]
[lowatk]
[return  ]

*atkEmber
[lowatk]
[burn]
;[eval exp="f.ncomment = 'It&nbsp;will&nbsp;receive&nbsp;fire&nbsp;damage&nbsp;in&nbsp;the&nbsp;next&nbsp;turns'"]
[return  ]

*atkFlamethrower
[medatk]
[burn]
;[eval exp="f.ncomment = 'It&nbsp; will&nbsp; receive&nbsp; fire&nbsp; damage&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkGrowl
[decreaseatkplus]
;[eval exp="f.ncomment = 'It' + ' ' + 'reduces' + ' ' + 'next' + ' ' + 'attack' + ' ' + 'damage'"]
[return  ]

*atkGust
[lowatk]
[return  ]

*atkHeadbutt
[medatk]
[flinch]
;[eval exp="f.ncomment = 'He&nbsp; might&nbsp; skip&nbsp; the&nbsp; next&nbsp; turn'"]
[return  ]

*atkHurricane
[higatk]
[confuse]
;[eval exp="f.ncomment = 'He&nbsp; might&nbsp; act&nbsp; weirdly&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkHydro-Pump
[higatk]
[return  ]

*atkHyper-Beam
[higatk]
[higatk]
[return  ]

*atkHypnosis
[sleep]
;[eval exp="f.ncomment = 'He&nbsp; will&nbsp; sleep&nbsp; for&nbsp; some &nbsp;turns'"]
[return  ]

*atkLeer
[decreasedef]
;[eval exp="f.ncomment = 'It &nbsp;reduces&nbsp; his&nbsp; defense'"]
[return  ]

*atkLife-Dew
[eval exp="f.heal = Math.floor(Math.random()*20)+15"]
[eval exp="f.monstercurhp += f.heal"]
[if exp="f.monstercurhp > 200"]
	[eval exp="f.monstercurhp = 200"]
[endif]
[monsterhp]
[tb_start_text mode=1 ]
#Narrator
[emb exp=f.monstername] gets healed by [emb exp=f.heal] [p]
[_tb_end_text]
[return  ]

*atkNothing
[tb_start_text mode=1 ]
#Narrator
[emb exp=f.monstername] does Nothing... it's... really effective...[p]
[_tb_end_text]
[return  ]

*atkPoison-Gas
[poison]
;[eval exp="f.ncomment = 'It&nbsp; will&nbsp; receive&nbsp; poison&nbsp; damage&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkPoison-Sting
[lowatk]
[poison]
;[eval exp="f.ncomment = 'It&nbsp; will&nbsp; receive&nbsp; poison&nbsp; damage&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkPound
[lowatk]
[return  ]

*atkRest
[eval exp="f.effect='Rest'"]
[eval exp="f.time= 2"]
[eval exp="f.turn= 1"]
;[eval exp="f.ncomment = 'He&nbsp; will&nbsp; heal&nbsp; at&nbsp; the&nbsp; end&nbsp; of&nbsp; it.'"]
[return  ]

*atkSand-Attack
[lowatk]
[decreaseatk]
;[eval exp="f.ncomment = 'It&nbsp; reduces&nbsp; next&nbsp; attack's&nbsp; damage'"]
[return  ]

*atkSmog
[lowatk]
[poison]
;[eval exp="f.ncomment = 'It&nbsp; will&nbsp; receive&nbsp; poison&nbsp; damage&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkSplash

[tb_start_text mode=1 ]
#Narrator
It does... nothing.[p]
[_tb_end_text]
[return  ]

*atksplash
[eval exp="f.nb1 = Math.floor(Math.random()*3)+1"]
[if exp="f.nb1 <= 2"]
	[tb_start_text mode=1 ]
	#Narrator
	It does... nothing.[p]
	[_tb_end_text]
[elsif exp="f.nb1 == 3"]
	[higatk]
	[higatk]
	[higatk]
	[tb_start_text mode=1 ]
	#Narrator
	The Splash attack has a weird effect![p]
	[_tb_end_text]
[endif]
[return  ]

*atkSwift
[medatk]
[return  ]

*atkTackle
[lowatk]
[return  ]

*atkWrap
[eval exp="f.effect='Constrict'"]
[eval exp="f.time= 3"]
;[eval exp="f.ncomment = 'It&nbsp; will&nbsp; receive&nbsp; poison&nbsp; damage&nbsp; in&nbsp; the&nbsp; next&nbsp; turns'"]
[return  ]

*atkWing-Attack
[medatk]
[return  ]

*pokemonstatsdefine

[tb_start_tyrano_code]
[if exp="f.mcpokname == 'Dewgong'"]
	[eval exp="f.mcpokmaxhp= 150"]
	[eval exp="f.mcpokcurhp= f.mcpokmaxhp"]
	[eval exp="f.mcpokatk1= 'Aurora-Beam'"]
	[eval exp="f.mcpokatk2= 'Growl'"]
	[eval exp="f.mcpokatk3= 'Headbutt'"]
	[eval exp="f.mcpokatk4= 'Rest'"]
[elsif exp="f.mcpokname == 'Magikarp'"]
	[eval exp="f.mcpokmaxhp= 100"]
	[eval exp="f.mcpokatk1= 'Splash'"]
	[eval exp="f.mcpokatk2= 'Splash'"]
	[eval exp="f.mcpokatk3= 'splash'"]
	[eval exp="f.mcpokatk4= 'Tackle'"]
[elsif exp="f.mcpokname == 'Pidgeot'"]
	[eval exp="f.mcpokmaxhp= 150"]
	[eval exp="f.mcpokatk1= 'Gust'"]
	[eval exp="f.mcpokatk2= 'Sand-Attack'"]
	[eval exp="f.mcpokatk3= 'Hurricane'"]
	[eval exp="f.mcpokatk4= 'Wing-Attack'"]
[elsif exp="f.mcpokname == 'Gyarados'"]
	[eval exp="f.mcpokmaxhp= 300"]
	[eval exp="f.mcpokatk1= 'Dragon-Rage'"]
	[eval exp="f.mcpokatk2= 'Bite'"]
	[eval exp="f.mcpokatk3= 'Hyper-Beam'"]
	[eval exp="f.mcpokatk4= 'Hydro-Pump'"]
[endif]

[if exp="f.monstername == 'Arbok'"]
	[eval exp="f.monstermaxhp=150"]
	[eval exp="f.monsteratk1= 'Bite'"]
	[eval exp="f.monsteratk2= 'Wrap'"]
	[eval exp="f.monsteratk3= 'Leer'"]
	[eval exp="f.monsteratk4= 'Poison-Sting'"]
[elsif exp="f.monstername == 'Arcanine'"]
	[eval exp="f.monstermaxhp=150"]
	[eval exp="f.monsteratk1= 'Ember'"]
	[eval exp="f.monsteratk2= 'Leer'"]
	[eval exp="f.monsteratk3= 'Bite'"]
	[eval exp="f.monsteratk4= 'Flamethrower'"]
[elsif exp="f.monstername == 'Growlithe'"]
	[eval exp="f.monstermaxhp=75"]
	[eval exp="f.monsteratk1= 'Ember'"]
	[eval exp="f.monsteratk2= 'Leer'"]
	[eval exp="f.monsteratk3= 'Growl'"]
	[eval exp="f.monsteratk4= 'Bite'"]
[elsif exp="f.monstername == 'Hypno'"]
	[eval exp="f.monstermaxhp=150"]
	[eval exp="f.monsteratk1= 'Confusion'"]
	[eval exp="f.monsteratk2= 'Hypnosis'"]
	[eval exp="f.monsteratk3= 'Pound'"]
	[eval exp="f.monsteratk4= 'Poison-Gas'"]
[elsif exp="f.monstername == 'Joy'"]
	[eval exp="f.monstermaxhp=75"]
	[eval exp="f.monsteratk1= 'Nothing'"]
	[eval exp="f.monsteratk2= 'Nothing'"]
	[eval exp="f.monsteratk3= 'Nothing'"]
	[eval exp="f.monsteratk4= 'Nothing'"]
[elsif exp="f.monstername == 'Mewtwo'"]
	[eval exp="f.monstermaxhp=200"]
	[eval exp="f.monsteratk1= 'Confusion'"]
	[eval exp="f.monsteratk2= 'Life-Dew'"]
	[eval exp="f.monsteratk3= 'Swift'"]
	[eval exp="f.monsteratk4= 'Ancient-Power'"]
[elsif exp="f.monstername == 'Weezing'"]
	[eval exp="f.monstermaxhp=75"]
	[eval exp="f.monsteratk1= 'Poison-Gas'"]
	[eval exp="f.monsteratk2= 'Tackle'"]
	[eval exp="f.monsteratk3= 'Double-Hit'"]
	[eval exp="f.monsteratk4= 'Smog'"]
[endif]
[_tb_end_tyrano_code]

[return  ]
*win

[tb_start_tyrano_code]
[eval exp="f.mcpokcurhp= 0"]
[eval exp="f.win= 1"]
[anim name="mcpokhpbar" width="0" time="0"]
[wa]
[anim name="monsterhpbar" width="0" time="0"]
[wa]
[_tb_end_tyrano_code]

[tb_ptext_hide  time="0"  ]
[tb_show_message_window  ]
[tb_image_hide  time="1000"  ]
[cm]
[bg  time="1000"  method="crossfade"  storage="bg_effect_black.jpg"  ]
[playbgm  volume="20"  time="1000"  loop="true"  storage="dungeon.mp3"  fadein="true"  ]
[jump  storage="scene1.ks"  target="&f.battlereturn"  ]
*dead

[tb_show_message_window  ]
[tb_start_text mode=1 ]
#Narrator
Your pokemon fainted...[p]
[_tb_end_text]

[tb_start_tyrano_code]
[eval exp="f.monstercurhp= 0"]
[eval exp="f.lose= 1"]
[anim name="mcpokhpbar" width="0" time="0"]
[wa]
[anim name="monsterhpbar" width="0" time="0"]
[wa]
[_tb_end_tyrano_code]

[tb_ptext_hide  time="0"  ]
[tb_show_message_window  ]
[tb_image_hide  time="1000"  ]
[cm]
[bg  time="1000"  method="crossfade"  storage="bg_effect_black.jpg"  ]
[playbgm  volume="20"  time="1000"  loop="true"  storage="dungeon.mp3"  fadein="true"  ]
[jump  storage="scene1.ks"  target="&f.battlereturn"  ]
